> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List MoMos

> List the mobile money providers that Monime supports in a country.



## OpenAPI

````yaml get /momos
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: '2024-08-01'
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /momos:
    get:
      tags:
        - Momo
      summary: List MoMos
      description: List the mobile money providers that Monime supports in a country.
      operationId: ListMomos
      parameters:
        - name: country
          in: query
          description: The ISO 3166-1 alpha-2 code of the country
          required: true
          schema:
            maxLength: 2
            minLength: 2
            type: string
            description: The ISO 3166-1 alpha-2 code of the country
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Momo'
                    description: The list of items in the response
                    nullable: true
                  pagination:
                    type: object
                    properties:
                      count:
                        minimum: 0
                        type: integer
                        description: The number of items in this list response.
                      total:
                        minimum: 0
                        type: integer
                        description: >-
                          The estimated total number of items matching the
                          request.
                        nullable: true
                      next:
                        type: string
                        description: >-
                          This identifier marks the first item in this response
                          list when moving backward through the results, or the
                          last item when moving forward. Use this identifier
                          with the 'after' or 'before' query parameter in your
                          next request to get the items that come after or
                          before this item in the overall list respectively.
                        nullable: true
                    description: The pagination info associated with the response
components:
  schemas:
    Momo:
      type: object
      properties:
        id:
          type: string
          description: The ID of the momo.
          example: fpr-TJh76H8hj778hftdtu66gjio
        code:
          type: string
          description: >-
            The unique identifier assigned to a momo by Monime to identify it
            within Monime's ecosystem.
          example: m17
        name:
          type: string
          description: The name of the momo.
          example: Orange Money
        country:
          type: string
          description: The country of the momo.
          example: SL
        status:
          type: object
          properties:
            active:
              type: boolean
              description: Whether or not this momo is active within Monime.
          description: The status of the momo's operations within monime'.
        featureSet:
          type: object
          properties:
            payout:
              type: object
              properties:
                canPayTo:
                  type: boolean
                  description: Whether or not Monime can pay out to an account in the momo.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payout schemes of the momo.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this momo's payout feature.
                  nullable: true
              description: The momo's payout feature information.
            payment:
              type: object
              properties:
                canPayFrom:
                  type: boolean
                  description: >-
                    Whether or not Monime can accept payment from an account in
                    the momo.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payment schemes of the momo.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this momo's payment feature.
                  nullable: true
              description: The momo's payment feature information.
            kycVerification:
              type: object
              properties:
                canVerifyAccount:
                  type: boolean
                  description: >-
                    Whether or not Monime can verify an account's KYC' in the
                    momo.
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: >-
                    Further metadata describing this momo's KYC verification
                    feature.
                  nullable: true
              description: The momo's KYC verification feature information.
          description: The set of Monime features that the momo supports.'
        createTime:
          type: string
          description: The time the momo's support was added.
          format: date-time
        updateTime:
          type: string
          description: The last time the momo's support was updated.
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````